Query Ongoing Conferences
Query the settings for a specific ongoing conference, multiple ongoing conferences, or all ongoing conferences, including both scheduled and instant conferences.
Request URL
GET {base_url}/{api_path}/conference/query_ongoing_conference?access_token={access_token}
Request parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| number | Yes | String | The number of ongoing conference. Valid value:
|
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
| data | Array <Conference_Info> | The detailed information of the conference. |
Conference_Info
| Parameter | Type | Description |
|---|---|---|
| call_id | String | The unique ID of the conference call. |
| conference_number | String | Conference number. |
| conference_name | String | Conference name. |
| members | Array <Members> | The information of the conference members. |
Members
| Parameter | Type | Description |
|---|---|---|
| from | String | The number of the conference member. |
| trunk_name | String | The name of the trunk used during the conference call. |
| channel_id | String | The channel ID of the conference member. |
| member_type | String | The type of the conference member.
|
| member_status | String | The status of the conference member.
|
Examples
Request parameter
GET /openapi/v1.0/conference/query_ongoing_conference?number=6901&access_token=49yAxrxmdPbf6kzTHmYqy7xS5NcVH09A HTTP/1.1 Host: 192.168.5.150:8088
Response parameter
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS",
"data": [
{
"call_id": "1748247575.86",
"conference_number": "6901",
"conference_name": "instant conference",
"members": [
{
"from": "1003",
"trunk_name": "<no name>",
"channel_id": "PJSIP/1003-00000021",
"member_type": "ext",
"member_status": "ANSWERED"
},
{
"from": "1007",
"trunk_name": "<no name>",
"channel_id": "PJSIP/1007-00000023",
"member_type": "ext",
"member_status": "ANSWERED"
},
{
"from": "1001",
"trunk_name": "<no name>",
"channel_id": "PJSIP/1001-00000020",
"member_type": "ext",
"member_status": "ANSWERED"
}
]
}
]
}